FROM jupyter/minimal-notebook:latest

# Install fmipy
RUN /opt/conda/bin/conda install -c conda-forge fmpy -y --quiet

# Install simpy
RUN /opt/conda/bin/conda install sympy

# Install scipy
RUN /opt/conda/bin/conda install scipy

USER root

# Copy local files to the remote notebooks
RUN mkdir /opt/notebooks
COPY tutorial /opt/notebooks/tutorial
COPY fmus/linux/ /opt/notebooks/fmus
COPY cosimlibrary /opt/notebooks/cosimlibrary
COPY solutions /opt/notebooks/solutions

WORKDIR /opt/notebooks/

# Port
EXPOSE 8888

# Run Jupyter Notebook
CMD ["/opt/conda/bin/jupyter", "notebook", "--notebook-dir=/opt/notebooks", "--ip=0.0.0.0", "--port=8888", "--no-browser", "--allow-root"]
